motorola-logo

Support For
Motorola LUX64CONNECT

Topic Which platforms are supported for accessing my Camera?

Related Products Motorola LUX64CONNECT

Minimum requirement: 

  • Windows® 7*
  • Mac OS® version 10.7 
  • Chrome version 24
  • Internet Explorer® version 9 
  • Safari® version 6
  • Java version 7
  • Firefox® version 18.0
  • Adobe® Flash® Player 15.0 
  • Android 5.0
  • iPhone®/iPad® iOS version 9.0
*Java browser plug-in needed 

Related Articles

HAVE QUESTIONS? CONTACT OUR FRIENDLY SUPPORT.